MyGUI::Exception Class Reference

`#include <MyGUI_Exception.h>`

Inheritance diagram for MyGUI::Exception:
[legend]

## Public Member Functions

| Exception (std::string _description, std::string _source, std::string _file, long _line)
virtual const std::string & | getFullDescription () const
virtual const std::string & | getSource () const
virtual const std::string & | getFile () const
virtual long | getLine () const
virtual const std::string & | getDescription () const
const char * | what () const noexcept override

## Protected Attributes

std::string | mDescription
std::string | mSource
std::string | mFile
long | mLine
std::string | mFullDesc

## Detailed Description

Definition at line 23 of file MyGUI_Exception.h.

## Constructor & Destructor Documentation

## Exception()

MyGUI::Exception::Exception | ( | std::string | _description,
|  | std::string | _source,
|  | std::string | _file,
|  | long | _line )

Definition at line 16 of file MyGUI_Exception.cpp.

## Member Function Documentation

## getDescription()

const std::string & MyGUI::Exception::getDescription | ( |  | ) | const

virtual

Definition at line 65 of file MyGUI_Exception.cpp.

## getFile()

const std::string & MyGUI::Exception::getFile | ( |  | ) | const

virtual

Definition at line 55 of file MyGUI_Exception.cpp.

## getFullDescription()

const std::string & MyGUI::Exception::getFullDescription | ( |  | ) | const

virtual

Definition at line 24 of file MyGUI_Exception.cpp.

## getLine()

long MyGUI::Exception::getLine | ( |  | ) | const

virtual

Definition at line 60 of file MyGUI_Exception.cpp.

## getSource()

const std::string & MyGUI::Exception::getSource | ( |  | ) | const

virtual

Definition at line 50 of file MyGUI_Exception.cpp.

## what()

const char * MyGUI::Exception::what | ( |  | ) | const

override noexcept

Definition at line 71 of file MyGUI_Exception.cpp.

## Field Documentation

## mDescription

std::string MyGUI::Exception::mDescription

protected

Definition at line 41 of file MyGUI_Exception.h.

## mFile

std::string MyGUI::Exception::mFile

protected

Definition at line 43 of file MyGUI_Exception.h.

## mFullDesc

std::string MyGUI::Exception::mFullDesc

mutable protected

Definition at line 45 of file MyGUI_Exception.h.

## mLine

long MyGUI::Exception::mLine

protected

Definition at line 44 of file MyGUI_Exception.h.

## mSource

std::string MyGUI::Exception::mSource

protected

Definition at line 42 of file MyGUI_Exception.h.

The documentation for this class was generated from the following files:

- MyGUI_Exception.h
- MyGUI_Exception.cpp